Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
Operating System - Tru64 Unix
cancel
Showing results for 
Search instead for 
Did you mean: 

Confused: 5.1B-4 equivalent to PK6?

SOLVED
Go to solution
Graham Allan
Advisor

Confused: 5.1B-4 equivalent to PK6?

I was just updating our RIS server with a new batch of CDs, as I got hold of the 5.1B-4 release.

I used to RIS-install 5.1B-1 with a downloaded NHD7 (the version of which I think included PK3), then PK6.

Now I RIS-install 5.1B-4 along with the NHD7 kit delivered with 5.1B-4.

From my understanding of the docs, such as the patch roadmap at http://www.tru64unix.compaq.com/docs/patch/roadmap.html
... 5.1B-4 is equivalent to 5.1B with PK6 (T64V51BB27AS0006-20061208). But this doesn't appear to be true, since

1) some commands added with PK6 (say /usr/bin/host) are missing from my 5.1B-4+NHD7 installation.

2) PK6 still installs over 5.1B-4

So obviously I was wrong, I just wonder if anyone can explain why?

Thanks...

Graham
4 REPLIES
Ann Majeske
Honored Contributor
Solution

Re: Confused: 5.1B-4 equivalent to PK6?

I think the way that the 5.1B-* kits are just packaged in a confusing way. What I've seen on these CDs is the V5.1B (unpatched) install with the separate patch kit that needs to be dupatch installed and also the separate NHD7 kit. So, most likely what you're RIS installing is just the V5.1B part. Then again, maybe I'm the one who's confused :)

Ann
Graham Allan
Advisor

Re: Confused: 5.1B-4 equivalent to PK6?

You're right - the packaging is very confusing! If I'd dug a little deeper...

The pack of CDs contains one (which I used) labeled Tru64 Operating System Vol 1 / version 5.1B-4. Which it turns out must be basic unpatched 5.1B!

Then there's another even more confusingly-labelled one called "HP Tru64 UNIX V5.1B-3 / version 5.1B-4. This one containss the patch kit! The label was so weird I never even looked at it more closely...

It doesn't exactly make sense at any level but at least I now know. Thanks for your help!
Kapil Jha
Honored Contributor

Re: Confused: 5.1B-4 equivalent to PK6?

Hi,
Please look this link
http://www.tru64unix.compaq.com/unix/v51b4.html

For me 5.1B-4 is base level which include code enhancement.
"Tru64 UNIX Version 5.1B-4 combines several resiliency code enhancements along with the latest patch kit onto one physical media called the Version 5.1B-4 CD-ROM"

So after installin this base level ur system would be at a point where everything is complete and then if other patches comes you have to install it.
You do not need to install PK5 if you install 5.1B-4.May be Pk6 has some thing more whcih 5.1B-4 does not have so u saw that difference.

Hope this help.
BR
Kapil
I am in this small bowl, I wane see the real world......
Venkatesh BL
Honored Contributor

Re: Confused: 5.1B-4 equivalent to PK6?

You can find the installation instructions here: http://www.tru64unix.compaq.com/docs/patch/install/HTML/TITLE.HTM